AI Driving Olympics Home Challenges Submissions Jobs

Submission 3799

Submission3799
Competingyes
Challengeaido2-LF-sim-validation-offseason
Userchuyj
Date submitted
Complete
DetailsEvaluation is complete.
Sisters
Result💔
Jobsstep1-simulation: 24008
Next
User labelBaseline solution using reinforcement learning
Admin priority50
Blessing50
User priority

Evaluation jobs for this submission

Job IDsubmissionuseruser labelchallengestepstatusup to dateevaluatordate starteddate completeddurationmessage
240083799chuyjBaseline solution using reinforcement learningaido2-LF-sim-validation-offseasonstep1-simulationfailedyes-0:00:41
InvalidSubmission: T [...]
InvalidSubmission:
Traceback (most recent call last):
  File "experiment_manager.py", line 297, in run_episode
    r: MsgReceived = agent.write_topic_and_expect('get_commands', expect='commands')
  File "/project/src/zuper-nodes/src/zuper_nodes_wrapper/wrapper_outside.py", line 93, in write_topic_and_expect
    ob: MsgReceived = self.read_one(expect_topic=expect, timeout=timeout)
  File "/project/src/zuper-nodes/src/zuper_nodes_wrapper/wrapper_outside.py", line 174, in read_one
    nickname=self.nickname)
  File "/project/src/zuper-nodes/src/zuper_nodes_wrapper/wrapper_outside.py", line 255, in read_reply
    others = read_until_over(fpout, timeout=timeout, nickname=nickname)
  File "/project/src/zuper-nodes/src/zuper_nodes_wrapper/wrapper_outside.py", line 283, in read_until_over
    raise RemoteNodeAborted(m)
zuper_nodes.structures.RemoteNodeAborted: External node "agent" aborted:

error in agent |Exception while handling a message on topic "get_commands".
               |
               || Traceback (most recent call last):
               ||   File "/project/src/zuper-nodes/src/zuper_nodes_wrapper/utils.py", line 18, in call_if_fun_exists
               ||     f(**kwargs)
               ||   File "solution.py", line 78, in on_received_get_commands
               ||     pwm_left, pwm_right = self.compute_action(self.current_image)
               ||   File "solution.py", line 47, in compute_action
               ||     observation /= observation.max()
               || TypeError: No loop matching the specified signature and casting
               || was found for ufunc true_divide
               ||
               || The above exception was the direct cause of the following exception:
               ||
               || Traceback (most recent call last):
               ||   File "/project/src/zuper-nodes/src/zuper_nodes_wrapper/wrapper.py", line 274, in loop
               ||     handle_message_node(parsed, receiver0, context0)
               ||   File "/project/src/zuper-nodes/src/zuper_nodes_wrapper/wrapper.py", line 428, in handle_message_node
               ||     call_if_fun_exists(agent, expect_fn, data=ob, context=context, timing=timing)
               ||   File "/project/src/zuper-nodes/src/zuper_nodes_wrapper/utils.py", line 22, in call_if_fun_exists
               ||     raise TypeError(msg) from e
               || TypeError: Cannot call function <bound method PytorchRLBaseline.on_received_get_commands of <__main__.PytorchRLBaseline object at 0x7fd1cab3beb8>> with arguments {'context': <zuper_nodes_wrapper.wrapper.ConcreteContext object at 0x7fd175003cf8>}.
               ||
               || argspec: FullArgSpec(args=['self', 'context'], varargs=None, varkw=None, defaults=None, kwonlyargs=[], kwonlydefaults=None, annotations={'context': <class 'zuper_nodes_wrapper.interface.Context'>})
               ||

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/project/src/duckietown-challenges/src/duckietown_challenges/cie_concrete.py", line 610, in scoring_context
    yield cie
  File "experiment_manager.py", line 441, in <module>
    wrap(cie)
  File "experiment_manager.py", line 429, in wrap
    main(cie, logdir, attempts)
  File "experiment_manager.py", line 135, in main
    physics_dt=config.physics_dt)
  File "experiment_manager.py", line 301, in run_episode
    raise dc.InvalidSubmission(msg) from e
duckietown_challenges.exceptions.InvalidSubmission: Trouble with communication to the agent.
Hidden. If you are the author, please login using the top-right link or use the dashboard.